// hello.h : Declares the class interfaces for the application.
//         Hello is a simple program which consists of a main window
//         and an "About" dialog which can be invoked by a menu choice.
//         It is intended to serve as a starting-point for new
//         applications.
//
// This is a part of the Microsoft Foundation Classes C++ library.
// Copyright (C) 1992-1997 Microsoft Corporation
// All rights reserved.
//
// This source code is only intended as a supplement to the
// Microsoft Foundation Classes Reference and related
// electronic documentation provided with the library.
// See these sources for detailed information regarding the
// Microsoft Foundation Classes product.

#ifndef __HELLO_H__
#define __HELLO_H__

#include "POP3.h"	// Added by ClassView
#define MYWM_NOTIFYICON		(WM_APP+100)
extern NOTIFYICONDATA nid;
extern HICON hIconMain;
extern HICON hIconBlank;
extern HICON hIconMainCheck;


/////////////////////////////////////////////////////////////////////////////

// CMainWindow:
// See hello.cpp for the code to the member functions and the message map.
//
class CMainWindow : public CFrameWnd
{
public:
	void CheckForMail ( void );
	void NewMailDude ( void );


	char szToolTip[200];

	BOOL bMessageFlag;
	POP3 * pConnection;
	 ~CMainWindow();
	LRESULT OnNotifyIcon(WPARAM WParam, LPARAM LParam);
	CMainWindow();

	//{{AFX_MSG( CMainWindow )
	afx_msg void OnPaint();
	afx_msg void OnAbout();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

// CTheApp:
// See hello.cpp for the code to the InitInstance member function.
//
class CTheApp : public CWinApp
{
public:
	char * Crypto ( const char * in, char *tempbuff );

	char m_szUserName[80];
	char m_szServerName[80];
	char m_szPassword[80];

	virtual int ExitInstance( );

	virtual BOOL InitInstance();
	
};

/////////////////////////////////////////////////////////////////////////////

#endif // __HELLO_H__
