// POP3.h: interface for the POP3 class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POP3_H__6D5C0033_617C_11D1_803D_00609769A3CD__INCLUDED_)
#define AFX_POP3_H__6D5C0033_617C_11D1_803D_00609769A3CD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afxsock.h>

// POP Protocol Definitions
#define POP_EOF	"\r\n.\r\n" 
#define POP_SUBJECT "\nSubject:" 


class POP3  
{
public:
	BOOL TestConnection ( void );
	char m_szUserName[80];
	char m_szServerName[80];
	char m_szPassword[80];


	BOOL CheckMail (
	BOOL * pfResult,
	char * sToolTip,
	BOOL bGui=FALSE);

	POP3(
		const char *UserName,
		const char *ServerName,
		const char *Password	);
	virtual ~POP3();

};

#endif // !defined(AFX_POP3_H__6D5C0033_617C_11D1_803D_00609769A3CD__INCLUDED_)
